package com.qiaoba.api.system.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qiaoba.common.base.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 租户表
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 22:02:43
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_tenant")
public class SysTenant extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId
    private String tenantId;

    private String tenantCode;

    private String tenantName;

    private String province;

    private String city;

    private String district;

    private String address;

    private String contactUser;

    private String contactPhone;

    private String dataType;

    private Date expireTime;

    private String status;

}
