package com.qiaoba.api.system.entity.dto;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Set;

/**
 * 角色
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/8 15:54
 */
@Getter
@Setter
public class SysRoleDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 角色ID
     */
    private String roleId;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色权限
     */
    private String roleKey;

    /**
     * 角色排序
     */
    private String roleSort;

    /**
     * 备注
     */
    private String remark;

    /**
     * 角色状态（1正常 0停用）
     */
    private String status;

    /**
     * 部门组（数据权限）
     */
    private Set<String> deptIds;

    /**
     * 菜单组
     */
    private Set<String> menuIds;

}
