package com.qiaoba.api.system.service;

import com.qiaoba.api.system.entity.SysTenant;

/**
 * 租户对外暴露接口
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-24 19:20:40
 */
public interface SysTenantApiService {

    /**
     * 新增租户
     *
     * @param sysTenant sysTenant
     * @return > 0 = success
     */
    int insert(SysTenant sysTenant);

    /**
     * 更新租户
     *
     * @param sysTenant sysTenant
     * @return > 0 = success
     */
    int update(SysTenant sysTenant);
}
