package com.qiaoba.common.database.constants;

/**
 * DynamicDatasourceConstant
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-27 19:35:28
 */
public class DynamicDatasourceConstant {

    /**
     * 系统默认的主数据源名称
     */
    public static final String DEFAULT_MASTER_DATASOURCE_KEY = "master_default";

    /**
     * 系统默认的从数据源名称
     */
    public static final String DEFAULT_SLAVE_DATASOURCE_PREFIX = "slave_default_";

    /**
     * 主数据源拼接前缀 master_tenantId
     */
    public static final String MASTER_PREFIX = "master_";

    /**
     * 从数据源拼接前缀 slave_tenantId_序号
     */
    public static final String SLAVE_PREFIX = "slave_";

}
