package com.qiaoba.common.redis.constants;

/**
 * 缓存的key 常量
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/2 0002 下午 17:41
 */
public class CacheConstant {

    /**
     * 登录用户 redis key
     */
    public static final String LOGIN_USER_KEY = "login_users:";

    /**
     * 验证码 redis key
     */
    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";

    /**
     * 参数管理 cache key
     */
    public static final String SYS_CONFIG_KEY = "sys_config:";

    /**
     * 字典管理 cache key
     */
    public static final String SYS_DICT_KEY = "sys_dict:";

    /**
     * 防重提交 redis key
     */
    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";

    /**
     * 限流 redis key
     */
    public static final String RATE_LIMIT_KEY = "rate_limit:";

    /**
     * 登录账户密码错误次数 redis key
     */
    public static final String PWD_ERR_CNT_KEY = "pwd_err_cnt:";

    /**
     * 角色拥有的权限Set
     */
    public static final String ROLE_PERMS = "role_perms:role_";
}
