package com.qiaoba.api.system.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qiaoba.common.base.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 岗位信息 sys_post
 *
 * @author ailanyin
 * @version 1.0
 * @since 2022-09-22 04:20:28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_post")
public class SysPost extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId
    @Excel(name = "岗位序号" , width = 20)
    private String postId;

    @Excel(name = "岗位编码" , width = 20)
    private String postCode;

    @Excel(name = "岗位名称" , width = 20)
    private String postName;

    @Excel(name = "岗位排序" , width = 20)
    private String postSort;

    @Excel(name = "状态" , width = 20, replace = {"正常_1" , "异常_0"})
    private String status;

}
