package com.qiaoba.api.system.entity;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * 角色和部门关联 sys_role_dept
 *
 * @author ailanyin
 * @version 1.0
 * @since 2022-09-22 04:20:28
 */
@Getter
@Setter
@NoArgsConstructor
public class SysRoleDept {

    /**
     * 角色ID
     */
    private String roleId;

    /**
     * 部门ID
     */
    private String deptId;

    /**
     * 租户ID
     */
    private String tenantId;

    public SysRoleDept(String roleId, String deptId) {
        this.roleId = roleId;
        this.deptId = deptId;
    }
}
