package com.qiaoba.api.system.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * 用户和岗位关联 sys_user_post
 *
 * @author ailanyin
 * @version 1.0
 * @since 2022-09-22 04:20:28
 */
@Getter
@Setter
@NoArgsConstructor
@TableName("sys_user_post")
public class SysUserPost {

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 岗位ID
     */
    private String postId;

    /**
     * 租户ID
     */
    private String tenantId;

    public SysUserPost(String userId, String postId) {
        this.userId = userId;
        this.postId = postId;
    }
}
