package com.qiaoba.api.system.entity.param;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 岗位查询参数
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 15:37:43
 */
@Getter
@Setter
public class SysPostParam implements Serializable {

    private static final long serialVersionUID = 1L;

    private String postName;

    private String postCode;

    private String status;

    public SysPostParam() {
    }

    public SysPostParam(String status) {
        this.status = status;
    }
}
