package com.qiaoba.api.system.entity.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 角色查询参数
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 15:37:43
 */
@Getter
@Setter
public class SysRoleParam implements Serializable {

    private static final long serialVersionUID = 1L;

    private String roleName;

    private String roleKey;

    private String status;

    private String beginTime;

    private String endTime;
}
