package com.qiaoba.api.system.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/10 15:50
 */
@Getter
@Setter
public class SysUserVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @Excel(name = "用户ID", width = 25)
    private String userId;

    @Excel(name = "登录账号", width = 20)
    private String username;

    @Excel(name = "姓名", width = 20)
    private String nickname;

    @Excel(name = "部门", width = 20)
    private String deptName;

    @Excel(name = "性别", replace = {"男_0", "女_1", "未知_2"})
    private String gender;

    @Excel(name = "手机", width = 20)
    private String phone;

    @Excel(name = "邮箱", width = 20)
    private String email;

    @Excel(name = "创建时间", width = 30, format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "状态", replace = {"正常_1", "停用_0"})
    private String status;
}
