package com.qiaoba.application;

import cn.hutool.core.util.StrUtil;
import com.qiaoba.api.system.entity.SysMenu;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 启动类
 *
 * @author ailanyin
 * @version 1.0
 * @date 1/29/23 10:44 AM
 */
@EnableConfigurationProperties
@EnableScheduling
@ComponentScan({"com.qiaoba.module.**", "com.qiaoba.application"})
@MapperScan("com.qiaoba.module.**.mapper")
@SpringBootApplication
public class QiaoBaApplication {
    public static void main(String[] args) {
        SpringApplication.run(QiaoBaApplication.class, args);
    }

}
