package com.qiaoba.module.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qiaoba.api.system.entity.SysRoleDept;

/**
 * 角色部门关联 数据层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/9 9:50
 */
public interface SysRoleDeptMapper extends BaseMapper<SysRoleDept> {

    /**
     * 通过角色ID批量删除角色和部门的绑定关系
     *
     * @param roleId 角色id
     */
    void deleteByRoleId(String roleId);

}
