package com.qiaoba.module.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qiaoba.api.system.entity.SysRole;

/**
 * 角色管理 数据层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/6 15:03
 */
public interface SysRoleMapper extends BaseMapper<SysRole> {

    /**
     * 校验角色名称是否唯一
     *
     * @param role role
     * @return count
     */
    int checkRoleNameUnique(SysRole role);

    /**
     * 校验角色权限是否唯一
     *
     * @param role role
     * @return count
     */
    int checkRoleKeyUnique(SysRole role);

}
