package com.qiaoba.module.system.service.impl;

import com.qiaoba.api.system.entity.SysTenant;
import com.qiaoba.module.system.mapper.SysTenantMapper;
import com.qiaoba.module.system.service.SysTenantService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 租户管理 业务层实现
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-24 19:46:00
 */
@Service
public class SysTenantServiceImpl implements SysTenantService {

    @Resource
    private SysTenantMapper baseMapper;

    @Override
    public int insert(SysTenant sysTenant) {
        return baseMapper.insert(sysTenant);
    }

    @Override
    public int update(SysTenant sysTenant) {
        return baseMapper.updateById(sysTenant);
    }
}
